Module | Bio::Blast::Remote::Information
In: | lib/bio/appl/blast/remote.rb

Common methods for meta-information processing (e.g. list of databases).

### Methods

database_description databases nucleotide_databases protein_databases reset

### Public Instance methods

database_description(program, db)

Returns a short description of given database.

Note: see the note of databases method.

Arguments:

- program (required): ‘blastn’, ‘blastp’, ‘blastx’, ‘tblastn’ or ‘tblastx‘
- db (required): database name

Returns: | String

[Source]

        # File lib/bio/appl/blast/remote.rb, line 90
    90:       def database_description(program, db)
    91:         _parse_databases
    92:         h = @database_descriptions[program]
    93:         h ? (h[db] || '') : ''
    94:       end

databases(program)

Returns a list of available databases for given program.

Note: It parses remote sites to obtain database information (e.g. blast.genome.jp/ for Bio::Blast::Remote::GenomeNet). Thus, if the site is changed, this method can not return correct data. Please tell BioRuby developers when the site is changed.

Arguments:

- program (required): blast program(‘blastn’, ‘blastp’, ‘blastx’, ‘tblastn’ or ‘tblastx’)

Returns: | Array containing String objects

[Source]

        # File lib/bio/appl/blast/remote.rb, line 77
    77:       def databases(program)
    78:         _parse_databases
    79:         @databases[program] || []
    80:       end

nucleotide_databases()

Returns a list of available nucleotide databases.

Note: see the note of databases method.

Returns: | Array containing String objects

[Source]

        # File lib/bio/appl/blast/remote.rb, line 51
    51:       def nucleotide_databases
    52:         _parse_databases
    53:         @databases['blastn']
    54:       end

protein_databases()

Returns a list of available protein databases.

Note: see the note of databases method.

Returns: | Array containing String objects

[Source]

        # File lib/bio/appl/blast/remote.rb, line 61
    61:       def protein_databases
    62:         _parse_databases
    63:         @databases['blastp']
    64:       end

reset()

Resets data and clears cached data in this module.

[Source]

         # File lib/bio/appl/blast/remote.rb, line 97
     97:       def reset
     98:         @parse_databases = false
     99:         true
    100:       end

[Validate]